
Redmine - Defect #36368

show in assignable user when he/she is not member of that project

2021-12-29 14:30 - salman mp

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When moving an issue to another project that author of issue is not member of that, in edit form 'author' shown as an assignable

user.

This patch can fix the error.

Index: app/models/issue.rb

<+>UTF-8

===================================================================

diff --git a/app/models/issue.rb b/app/models/issue.rb

--- a/app/models/issue.rb    (revision ec859e41d689ee3432113c3bd74ba48d060c9a2f)

+++ b/app/models/issue.rb    (date 1640777418920)

@@ -975,7 +975,7 @@

     return [] if project.nil?

     users = project.assignable_users(tracker).to_a

-    users << author if author && author.active?

+    users << author if author && author.active? && project.users.include?(author)

     if assigned_to_id_was.present? && assignee = Principal.find_by_id(assigned_to_id_was)

       users << assignee

     end

Related issues:

Related to Redmine - Feature #4199: Reassign back to original author from an ... Closed 2009-11-12

History

#1 - 2021-12-29 14:32 - salman mp

- File fix_author_assignee.patch added

#2 - 2021-12-30 10:33 - Go MAEDA

- Related to Feature #4199: Reassign back to original author from an SCM commit added

#3 - 2021-12-30 10:40 - Go MAEDA

- Category set to Issues

I think it is the expected behavior introduced in r4240. After r4240, the author of an issue always can be an assignee of the issue even if the user is

not a project member.

#4 - 2021-12-30 13:11 - salman mp

- File fix-assignable_users.patch added

Go MAEDA wrote:

I think it is the expected behavior introduced in r4240. After r4240, the author of an issue always can be an assignee of the issue even if the user

is not a project member.

 Thanks. What about this one? If issue was visible by author, it's reasonable to be one of assignable users.
https://www.redmine.org/projects/redmine/repository/svn/revisions/4240
https://www.redmine.org/projects/redmine/repository/svn/revisions/4240
https://www.redmine.org/projects/redmine/repository/svn/revisions/4240
https://www.redmine.org/projects/redmine/repository/svn/revisions/4240


Files

fix_author_assignee.patch 642 Bytes 2021-12-29 salman mp

fix-assignable_users.patch 717 Bytes 2021-12-30 salman mp
